Is this release supposed to work with any of the express editions ?

I use Visual C# Express Edition.

Also, i see people install the old SDK, anyone know if there is a May SDK planned ?

Thank you.